Package com.independentsoft.office.charts

# Enum Class ScatterStyle

java.lang.Object
java.lang.Enum<ScatterStyle>
com.independentsoft.office.charts.ScatterStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<ScatterStyle>`, `Constable`

public enum ScatterStyle extends Enum<ScatterStyle>
The Enum ScatterStyle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINE`
  `LINE_MARKER`
  `MARKER`
  `NONE`
  `SMOOTH`
  `SMOOTH_MARKER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ScatterStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ScatterStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINE

    public static final ScatterStyle LINE

  - ### LINE_MARKER

    public static final ScatterStyle LINE_MARKER

  - ### MARKER

    public static final ScatterStyle MARKER

  - ### SMOOTH

    public static final ScatterStyle SMOOTH

  - ### SMOOTH_MARKER

    public static final ScatterStyle SMOOTH_MARKER

  - ### NONE

    public static final ScatterStyle NONE

- ## Method Details

  - ### values

    public static ScatterStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ScatterStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null